<?php
/*
Plugin Name: Venteマンション売却査定
Plugin URI: https://jisaku-hp.jp/
Description: お使いのテーマでマンションの売却査定プログラムを表示できます。
Author: 廣本　隆史
Version: 1.0
Author URI: https://jisaku-hp.jp/
*/
function m_baikyaku_Include($params = array()) {
 extract(shortcode_atts(array('file' => 'default'), $params));
 ob_start();
 include(plugin_dir_path( __FILE__ ) . "/$file.php");
 return ob_get_clean();
}
add_shortcode('m_baikyaku', 'm_baikyaku_Include');
    global $wpdb;
    $table = $wpdb->prefix.'manshon';
    $table13 = $wpdb->prefix.'satei_log';
    //manshonテーブルが存在していなければ作成する
    if ($wpdb->get_var("SHOW TABLES LIKE '$table'") != $table) {
        $sql = "
            CREATE TABLE IF NOT EXISTS `$table` (
id int(10) unsigned AUTO_INCREMENT NOT NULL,
name varchar(255) NOT NULL,
address varchar(255) NOT NULL,
kaisuu text NOT NULL,
PRIMARY KEY (id)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
        ";
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );         
    }
    //satei_logテーブルが存在していなければ作成する
    if ($wpdb->get_var("SHOW TABLES LIKE '$table13'") != $table13) {
        $sql = "
            CREATE TABLE IF NOT EXISTS `$table13` (
id int(10) unsigned AUTO_INCREMENT NOT NULL,
type varchar(255) NOT NULL,
serial varchar(255) NOT NULL,
time varchar(255) NOT NULL,
name varchar(255) NOT NULL,
log varchar(255) NOT NULL,
PRIMARY KEY (id)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
        ";
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );         
    }
function original_page2() {
add_menu_page('マンション売却査定', 'マンション売却査定', 1, 'original_page2', 'manshon_satei_log', 'dashicons-building' ,202);
}
add_action('admin_menu', 'original_page2');
function manshon_satei_log() {include 'manshon_satei_log.php';}
function add_my_ajaxurl() {
?>
    <script>
        var ajaxurl = '<?php echo admin_url( 'admin-ajax.php'); ?>';
    </script>
<?php
}
add_action( 'wp_head', 'add_my_ajaxurl', 1 );
function view_sitename(){
$satei_mail = get_option('satei_mail');
$satei_from = get_option('satei_from_mail');
$name = $_POST{'name'};
$kaisuu = $_POST{'kaisuu'};
$kado = $_POST{'kado'};
$menseki = $_POST{'menseki'};
$satei = $_POST{'satei'};
$log = '面積：'.$menseki.'平米、階数：'.$kaisuu.'、角部屋：'.$kado.'、簡易査定金額：'.$satei;
date_default_timezone_set('Asia/Tokyo');
$time = date("Y/m/d H:i:s");
$serial = strtotime(date("Y/m/d H:i:s"));
mb_language("Japanese"); 																						
mb_internal_encoding("UTF-8");
$mes = $time."\r\n".$name."の売却査定がありました。\r\n\r\n";
$mes .= "【査定内容】\r\n";
$mes .= "面積：".$menseki."平米\r\n階数：".$kaisuu."\r\n角部屋：".$kado."\r\n簡易査定金額：".$satei."\r\n\r\nこのメールは送信専用ですので、返信できません。";
mb_send_mail($satei_mail, $name.'の売却査定', $mes, 'From:'.$satei_from);
if(isset($name)) {
    global $wpdb;
    $result = $wpdb->insert( $wpdb->satei_log, array( 'serial' => $serial, 'time' => $time, 'name' => $name, 'log' => $log, 'type' => 'マンション売却'),array('%d','%s', '%s', '%s', '%s'));
    $wpdb->query($result);
} else {
}
    die();
}
add_action( 'wp_ajax_view_sitename', 'view_sitename' );
add_action( 'wp_ajax_nopriv_view_sitename', 'view_sitename' );
?>